Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000001opensim[REGION] OpenSim Corepublic2007-11-17 13:082007-12-03 09:55
Reporternebadon 
Assigned Tosdague 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Version 
Summary0000001: Failed with exception Mono.Data.SqliteClient.SqliteBusyException: The database is locked.
Descriptionconstantly getting database locked in multi-region array with sqlite on startup with the following message.

[SCENE] [11-18 01:55:15] c
  at Mono.Data.SqliteClient.SqliteCommand.ExecuteStatement (IntPtr pStmt, System.Int32& cols, System.IntPtr& pazValue, System.IntPtr& pazColName) [0x00000]
  at Mono.Data.SqliteClient.SqliteCommand.ExecuteStatement (IntPtr pStmt) [0x00000]
  at Mono.Data.SqliteClient.SqliteCommand.ExecuteReader (CommandBehavior behavior, Boolean want_results, System.Int32& rows_affected) [0x00000]
  at Mono.Data.SqliteClient.SqliteCommand.ExecuteNonQuery () [0x00000]
  at OpenSim.DataStore.MonoSqlite.MonoSqliteDataStore.StoreTerrain (System.Double[,] ter, LLUUID regionID) [0x00000]
  at OpenSim.Region.Environment.Scenes.Scene.UpdateTerrain () [0x00000]
  at OpenSim.Region.Environment.Scenes.Scene.Update () [0x00000]
TagsNo tags attached.
Git Revision or version number
Run Mode
Physics Engine
Script Engine
Environment
Mono Version
Viewer
Attached Files

- Relationships
related to 0000010closedsdague Terrain Error when Regions start 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2007-11-17 13:08 nebadon New Issue
2007-11-19 07:08 sdague Relationship added related to 0000010
2007-11-19 07:08 sdague Status new => assigned
2007-11-19 07:08 sdague Assigned To => sdague
2007-11-26 14:48 nebadon Resolution open => fixed
2007-11-28 08:25 sdague Status assigned => resolved
2007-12-03 09:55 Teravus Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker